com.genesyslab.wfm8.API.service.config812

## Class CfgCarpoolAgent

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgCarpoolAgent

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgCarpoolAgent
      extends java.lang.Object
      implements java.io.Serializable

  Carpool Agent information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID (`CfgAgent`)
    `private static long` | `serialVersionUID`
    `protected int` | `wmCarpoolId` Carpool ID (`CfgCarpool`)
    `protected java.lang.String` | `wmComments` Carpool Agent comments
    `protected int` | `wmStatus` Carpool agent status (`ECfgCarpoolAgentStatus`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgCarpoolAgent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getWmCarpoolId()` Gets the value of the wmCarpoolId property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmCarpoolId(int value)` Sets the value of the wmCarpoolId property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `java.lang.String` | `toString()`
    `CfgCarpoolAgent` | `withGswAgentId(int value)`
    `CfgCarpoolAgent` | `withWmCarpoolId(int value)`
    `CfgCarpoolAgent` | `withWmComments(java.lang.String value)`
    `CfgCarpoolAgent` | `withWmStatus(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmCarpoolId

          protected int wmCarpoolId

      Carpool ID (`CfgCarpool`)

    - #### gswAgentId

          protected int gswAgentId

      Agent ID (`CfgAgent`)

    - #### wmStatus

          protected int wmStatus

      Carpool agent status (`ECfgCarpoolAgentStatus`)

    - #### wmComments

          protected java.lang.String wmComments

      Carpool Agent comments

  - ### Constructor Detail

    - #### CfgCarpoolAgent

          public CfgCarpoolAgent()

  - ### Method Detail

    - #### getWmCarpoolId

          public int getWmCarpoolId()

      Gets the value of the wmCarpoolId property.

    - #### setWmCarpoolId

          public void setWmCarpoolId(int value)

      Sets the value of the wmCarpoolId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmCarpoolId

          public CfgCarpoolAgent withWmCarpoolId(int value)

    - #### withGswAgentId

          public CfgCarpoolAgent withGswAgentId(int value)

    - #### withWmStatus

          public CfgCarpoolAgent withWmStatus(int value)

    - #### withWmComments

          public CfgCarpoolAgent withWmComments(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.